Skip to main content
PUT
/
api
/
v1
/
contents
/
{content_id}
Update Content
curl --request PUT \
  --url https://api.example.com/api/v1/contents/{content_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "metadata": {},
  "status": "<string>",
  "sync_status": "<string>",
  "status_message": "<string>",
  "definition": "<string>"
}
'
import requests

url = "https://api.example.com/api/v1/contents/{content_id}"

payload = {
"name": "<string>",
"description": "<string>",
"metadata": {},
"status": "<string>",
"sync_status": "<string>",
"status_message": "<string>",
"definition": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
metadata: {},
status: '<string>',
sync_status: '<string>',
status_message: '<string>',
definition: '<string>'
})
};

fetch('https://api.example.com/api/v1/contents/{content_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "metadata": {},
  "type": "<string>",
  "size": 123,
  "status": "<string>",
  "sync_status": "<string>",
  "status_message": "<string>",
  "content_hash": "<string>",
  "file_data": {},
  "definition": "<string>",
  "created_at": 123,
  "updated_at": 123,
  "external_id": "<string>",
  "collection_id": "<string>",
  "workspace_id": "<string>",
  "config": {},
  "linked_to": "<string>",
  "access_count": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Path Parameters

content_id
string
required

Body

application/json

Schema for updating content.

name
string | null

Content name

description
string | null

Content description

metadata
Metadata · object | null

Content metadata

status
string | null

Content processing status

sync_status
string | null

Sync status

status_message
string | null

Status message

definition
string | null

Content definition

Response

Successful Response

Schema for reading content.

id
string
required

Content ID

name
string
required

Content name

description
string | null

Content description

metadata
Metadata · object | null

Content metadata

type
string | null

Content type/MIME type

size
integer | null

Content size in bytes

status
string | null

Content processing status

sync_status
string | null

Sync status

status_message
string | null

Status message

content_hash
string | null

Content hash

file_data
File Data · object | null

File data information

definition
string | null

Content definition

created_at
integer | null

Creation timestamp

updated_at
integer | null

Update timestamp

external_id
string | null

External system ID

collection_id
string | null

Collection ID

workspace_id
string | null

Workspace ID

config
Config · object | null

Content configuration

linked_to
string | null

Linked content ID

access_count
integer | null

Number of times accessed